//***************************************************************************************** 
// Touch Test Code
// Plateform: GPL951, unSP IDE  
// Edited and Created by Generalplus Technology Co., Ltd.
//*****************************************************************************************
//*****************************************************************************************
// Header File Included Area
//*****************************************************************************************
#include	".\include\GPL951_Body.h"
#include	"CTSDrv.h"

//*****************************************************************************************
// Contant Defintion Area
//*****************************************************************************************

//*****************************************************************************************
// Global Variable Defintion Area
//*****************************************************************************************
int	Conut[16];
int Count_No;
int record;

//*****************************************************************************************
// Function Call Definition Area
//*****************************************************************************************  
int R_CtsPreKey;
void main(void)
{
	int i;
		
	*P_IOC_Dir = 0xFFFF;
	*P_IOC_Attrib = 0xFFFF;
	*P_IOC_Data = 0x0;	
	i = 2;
	i = R_CtsSum[0];
	*P_Clock_Ctrl = C_PLL_Fast_En | C_CLK96M_En | C_SYSCLK_SRC_Div1;
	
	*P_PM_Ctrl &= ~C_CTS_LDO_3v0;	// Set CTS internal LDO as 2.4V
	
//	*P_SYS_Ctrl |= C_ADC_Power_En;	//enable ADC LDO for touch LDO (IC Bug)
	
	F_CTS_Initial();
	F_CTS_ScanStart();
	
	R_CtsPreKey = 0;
	__asm("IRQ ON");
	
	while(1)
	{
		*P_WatchDog_Clear = C_WDT_Clear;
		F_CTS_ServiceLoop();
		if(R_ScanDoneFlag != 0)
		{
			if(R_CTS_Key != R_CtsPreKey)
			{
				i = R_CTS_Key;
				R_CtsPreKey = R_CTS_Key;
				*P_IOC_Data = R_CtsPreKey;
			}
		}
		
		if ((*P_IOA_Data && 0xFF) == 0x1)
			F_CtsForceCali(0x30);	// 0x30 = D_CalibrationCount (CTSDefine.inc)

		F_CTS_ScanService();
			
	}
	
}
